VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisiMath.Collisions.ISpatialIndex Interface Reference

Spatial index interface. More...

Inheritance diagram for VisiMath.Collisions.ISpatialIndex:

List of all members.

## Public Member Functions
bool | Contains (ref ISpatialIndex index)
| return true if index contains (intersects) another index
bool | Contains (Vector3 index)
| Return true if index contains position.
bool | Contains (ref Vector3 index)
| Return true if index contains position.
bool | Contains (Point3D index)
| Return true if index contains position.
bool | ContainsLine (Vector3 line1, Vector3 line2)
| Return true if index contains line.
bool | ContainsLine (ref Vector3 line1, ref Vector3 line2)
| Return true if index contains line.
bool | Contains (LineSegment3D line)
| Return true if index contains line.
bool | Contains (Vector3 center, float radius)
| Return true if index contains sphere.
bool | Contains (ref Vector3 center, float radius)
| Return true if index contains sphere.
bool | Contains (Sphere sphere)
| Return true if index contains sphere.
bool | ContainsBox (Vector3 min, Vector3 max)
| Return true if index contains axis alligned box.
bool | ContainsBox (ref Vector3 min, ref Vector3 max)
| Return true if index contains axis alligned box.
bool | Contains (AABox box)
| Return true if index contains axis alligned box.
bool | Contains (IConvexObject convex)
| Return true if index contains generic convex object.
bool | ContainsFully (ref ISpatialIndex index)
| return true if index fully contains another index
bool | ContainsFullyLine (Vector3 line1, Vector3 line2)
| Return true if index fully contains line.
bool | ContainsFullyLine (ref Vector3 line1, ref Vector3 line2)
| Return true if index fully contains line.
bool | ContainsFully (LineSegment3D line)
| Return true if index fully contains line.
bool | ContainsFully (Vector3 center, float radius)
| Return true if index fully contains sphere.
bool | ContainsFully (ref Vector3 center, float radius)
| Return true if index fully contains sphere.
bool | ContainsFully (Sphere sphere)
| Return true if index fully contains sphere.
bool | ContainsFullyBox (Vector3 min, Vector3 max)
| Return true if index fully contains axis alligned box.
bool | ContainsFullyBox (ref Vector3 min, ref Vector3 max)
| Return true if index fully contains axis alligned box.
bool | ContainsFully (AABox box)
| Return true if index fully contains axis alligned box.
bool | ContainsFully (IConvexObject convex)
| Return true if index FULLY contains generic convex object.
## Properties
AABox | AsBox`[get]`
| Returns spatial index as box.
Sphere | AsSphere`[get]`
| Returns spatial index as sphere.
Vector3 | AsPoint`[get]`
| returns spatial index as point (center)

## Detailed Description

Spatial index interface.

## Member Function Documentation

bool VisiMath.Collisions.ISpatialIndex.Contains | ( | ref ISpatialIndex | index | ) |

return true if index contains (intersects) another index

Parameters:

  index | Second spatial index

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.Contains | ( | Vector3 | index | ) |

Return true if index contains position.

Parameters:

  index | Position index

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.Contains | ( | Point3D | index | ) |

Return true if index contains position.

Parameters:

  index | Position index

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.Contains | ( | Vector3 | center,
|  | float | radius
| ) |  |

Return true if index contains sphere.

Parameters:

  center | sphere center
  radius | sphere radius

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.Contains | ( | ref Vector3 | center,
|  | float | radius
| ) |  |

Return true if index contains sphere.

Parameters:

  center | sphere center
  radius | sphere radius

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.Contains | ( | Sphere | sphere | ) |

Return true if index contains sphere.

Parameters:

  sphere | sphere index

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.Contains | ( | ref Vector3 | index | ) |

Return true if index contains position.

Parameters:

  index | Position index

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.Contains | ( | AABox | box | ) |

Return true if index contains axis alligned box.

Parameters:

  box | AABox

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.Contains | ( | LineSegment3D | line | ) |

Return true if index contains line.

Parameters:

  line | line segment

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.Contains | ( | IConvexObject | convex | ) |

Return true if index contains generic convex object.

Parameters:

  convex | Convex object

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsBox | ( | Vector3 | min,
|  | Vector3 | max
| ) |  |

Return true if index contains axis alligned box.

Parameters:

  max | Maximal corner
  min | Minimal corner

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsBox | ( | ref Vector3 | min,
|  | ref Vector3 | max
| ) |  |

Return true if index contains axis alligned box.

Parameters:

  max | Maximal corner
  min | Minimal corner

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsFully | ( | IConvexObject | convex | ) |

Return true if index FULLY contains generic convex object.

Parameters:

  convex | Convex object

Returns:
  True if object is fully contained in index

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsFully | ( | LineSegment3D | line | ) |

Return true if index fully contains line.

Parameters:

  line | Line segment

Returns:
  True if index fully contains other object

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsFully | ( | Sphere | sphere | ) |

Return true if index fully contains sphere.

Parameters:

  sphere | sphere index

Returns:
  True if index fully contains other object

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsFully | ( | ref Vector3 | center,
|  | float | radius
| ) |  |

Return true if index fully contains sphere.

Parameters:

  center | sphere center
  radius | sphere radius

Returns:
  True if index fully contains other object

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsFully | ( | ref ISpatialIndex | index | ) |

return true if index fully contains another index

Parameters:

  index | Second spatial index

Returns:
  True if index fully contains other object

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsFully | ( | AABox | box | ) |

Return true if index fully contains axis alligned box.

Parameters:

  box | AABox

Returns:
  True if index fully contains other object

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsFully | ( | Vector3 | center,
|  | float | radius
| ) |  |

Return true if index fully contains sphere.

Parameters:

  center | sphere center
  radius | sphere radius

Returns:
  True if index fully contains other object

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsFullyBox | ( | ref Vector3 | min,
|  | ref Vector3 | max
| ) |  |

Return true if index fully contains axis alligned box.

Parameters:

  max | Maximal corner
  min | Minimal corner

Returns:
  True if index fully contains other object

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsFullyBox | ( | Vector3 | min,
|  | Vector3 | max
| ) |  |

Return true if index fully contains axis alligned box.

Parameters:

  max | Maximal corner
  min | Minimal corner

Returns:
  True if index fully contains other object

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsFullyLine | ( | ref Vector3 | line1,
|  | ref Vector3 | line2
| ) |  |

Return true if index fully contains line.

Parameters:

  line1 | Start of the line
  line2 | End of the line

Returns:
  True if index fully contains other object

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsFullyLine | ( | Vector3 | line1,
|  | Vector3 | line2
| ) |  |

Return true if index fully contains line.

Parameters:

  line1 | Start of the line
  line2 | End of the line

Returns:
  True if index fully contains other object

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsLine | ( | Vector3 | line1,
|  | Vector3 | line2
| ) |  |

Return true if index contains line.

Parameters:

  line1 | Start of the line
  line2 | End of the line

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

bool VisiMath.Collisions.ISpatialIndex.ContainsLine | ( | ref Vector3 | line1,
|  | ref Vector3 | line2
| ) |  |

Return true if index contains line.

Parameters:

  line1 | Start of the line
  line2 | End of the line

Returns:
  True if intersection exists

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

## Property Documentation

AABox VisiMath.Collisions.ISpatialIndex.AsBox`[get]`

Returns spatial index as box.

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

Vector3 VisiMath.Collisions.ISpatialIndex.AsPoint`[get]`

returns spatial index as point (center)

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

Sphere VisiMath.Collisions.ISpatialIndex.AsSphere`[get]`

Returns spatial index as sphere.

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.Point3D, and VisiMath.Geometry.Sphere.

The documentation for this interface was generated from the following file:

- SpatialIndexing.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events